--
-- @author:		Xentro (www.ls-uk.info)(Marcus@Xentro.se)
-- @date:		2012-11-03


smokingFarmer = {};

function smokingFarmer.prerequisitesPresent(specializations)
    return true;
end;

function smokingFarmer:load(xmlFile)
	if self.isClient then
		self.smokingFarmerParticleSystems = {};
		local psName = "vehicle.smokingFarmer";
		Utils.loadParticleSystem(xmlFile, self.smokingFarmerParticleSystems, psName, self.components, false, nil, self.baseDirectory)
	end;
end;

function smokingFarmer:delete()
	Utils.deleteParticleSystem(self.smokingFarmerParticleSystems);
end;

function smokingFarmer:readStream(streamId, connection)
end;

function smokingFarmer:writeStream(streamId, connection)
end;

function smokingFarmer:mouseEvent(posX, posY, isDown, isUp, button)
end;

function smokingFarmer:keyEvent(unicode, sym, modifier, isDown)
end;

function smokingFarmer:update(dt)
end;

function smokingFarmer:updateTick(dt)
	if self.isClient then
		if self.characterNode ~= nil then
			local enableSmoke = getVisibility(self.characterNode);
			Utils.setEmittingState(self.smokingFarmerParticleSystems, enableSmoke);
		end;
	end;
end;

function smokingFarmer:draw()
end;